### Method

# EBackend Backend trust_prompt_sync

since: 3.8

#### Declaration [src]

    ETrustPromptResponse
    e_backend_trust_prompt_sync (
      EBackend* backend,
      const ENamedParameters* parameters,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Asks a user a trust prompt with given `parameters`, and returns what user responded. This blocks until the response is delivered.

Available since: 3.8

#### Parameters

`parameters`

  Type: `ENamedParameters`

  An `ENamedParameters` with values for the trust prompt.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ETrustPromptResponse`

An `ETrustPromptResponse` what user responded

Note: The function can return also `E_TRUST_PROMPT_RESPONSE_UNKNOWN`, it’s on error or if user closes the trust prompt dialog with other than the offered buttons. Usual behaviour in such case is to treat it as a temporary reject.